ランタイム: Mix::Scene::IDynamicsWorld Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IDynamicsWorld Class Referenceabstract

ダイナミクスワールドインターフェース More...

`#include <IDynamicsWorld.h>`

Inheritance diagram for Mix::Scene::IDynamicsWorld:
[legend]
Collaboration diagram for Mix::Scene::IDynamicsWorld:
[legend]

## Classes

struct | TEST_RESULT
| テスト結果構造体 More...
class | TestCallback
| テストコールバッククラス More...
class | TestWithoutSelfCallback
| テストコールバッククラス(自身を除外) More...

## Public Member Functions

virtual const Mix::Vector3 & | GetGravity (void) const =0
| 重力を取得します More...
virtual void | SetGravity (const Mix::Vector3 &gravity)=0
| 重力を設定します More...
virtual UInt32 | Activate (void)=0
| 全てのオブジェクトを活動状態にします More...
virtual UInt32 | Deactivate (Boolean bForce=False)=0
| 全てのオブジェクトを非活動状態にします More...
virtual Boolean | TestRay (UInt16 filterMask, const Mix::Vector3 &fromWorldPos, const Mix::Vector3 &toWorldPos, Mix::Scene::IDynamicsWorld::TestCallback *pCallback, Mix::Scene::IDynamicsWorld::TEST_RESULT &result)=0
| 光線でテストします More...
virtual Boolean | TestSweep (UInt16 filterMask, Mix::Dynamics::IShape *pShape, const Mix::Vector3 &fromWorldPos, const Mix::Vector3 &toWorldPos, Mix::Scene::IDynamicsWorld::TestCallback *pCallback, Mix::Scene::IDynamicsWorld::TEST_RESULT &result)=0
| スイープでテストします More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IDynamicsWorld (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

ダイナミクスワールドインターフェース

Note
  ダイナミクスオブジェクトであるフロア、ゴースト、
  アクターモデル、テラインモデルのコライダー、センサーなどが配置される、物理ワールドになります。
  また、それらに対して光線、スィープを使用して衝突テストをすることもできます。

## Constructor & Destructor Documentation

virtual Mix::Scene::IDynamicsWorld::~IDynamicsWorld | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Vector3& Mix::Scene::IDynamicsWorld::GetGravity | ( | void |  | ) | const

pure virtual

重力を取得します

Returns
  重力を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::IDynamicsWorld::SetGravity | ( | const Mix::Vector3 & | gravity | ) |

pure virtual

重力を設定します

Parameters

  [in] | gravity | 重力を表す Mix::Vector3 クラス

virtual UInt32 Mix::Scene::IDynamicsWorld::Activate | ( | void |  | ) |

pure virtual

全てのオブジェクトを活動状態にします

Returns
  活動状態にできたオブジェクトの数を返します

virtual UInt32 Mix::Scene::IDynamicsWorld::Deactivate | ( | Boolean | bForce = `False` | ) |

pure virtual

全てのオブジェクトを非活動状態にします

Returns
  非活動状態にできたオブジェクトの数を返します

virtual Boolean Mix::Scene::IDynamicsWorld::TestRay | ( | UInt16 | filterMask,
|  | const Mix::Vector3 & | fromWorldPos,
|  | const Mix::Vector3 & | toWorldPos,
|  | Mix::Scene::IDynamicsWorld::TestCallback * | pCallback,
|  | Mix::Scene::IDynamicsWorld::TEST_RESULT & | result
| ) |  |

pure virtual

光線でテストします

Parameters

  [in] | filterMask | フィルターマスクを表す Mix::Dynamics::OBJECT_FILTER_FLAG 列挙定数の組み合わせ
  [in] | fromWorldPos | 光線の開始位置を表す Mix::Vector3 クラス
  [in] | toWorldPos | 光線の終了位置を表す Mix::Vector3 クラス
  [in] | pCallback | コールバックを表す Mix::Scene::IDynamicsWorld::TestCallback クラスのポインタ( NULL指定可能 )
  [out] | result | テスト結果を表す Mix::Scene::IDynamicsWorld::TEST_RESULT 構造体のアドレス

Returns
  光線と交差するオブジェクトがあった場合は True を返します

virtual Boolean Mix::Scene::IDynamicsWorld::TestSweep | ( | UInt16 | filterMask,
|  | Mix::Dynamics::IShape * | pShape,
|  | const Mix::Vector3 & | fromWorldPos,
|  | const Mix::Vector3 & | toWorldPos,
|  | Mix::Scene::IDynamicsWorld::TestCallback * | pCallback,
|  | Mix::Scene::IDynamicsWorld::TEST_RESULT & | result
| ) |  |

pure virtual

スイープでテストします

Parameters

  [in] | filterMask | フィルターマスクを表す Mix::Dynamics::OBJECT_FILTER_FLAG 列挙定数の組み合わせ
  [in] | pShape | シェイプを表す Mix::Dynamics::IShape インターフェースのポインタ
  [in] | fromWorldPos | シェイプのスィープの開始位置を表す Mix::Vector3 クラス
  [in] | toWorldPos | シェイプのスィープの開始位置を表す Mix::Vector3 クラス
  [in] | pCallback | コールバックを表す Mix::Scene::IDynamicsWorld::TestCallback クラスのポインタ( NULL指定可能 )
  [out] | result | テスト結果を表す Mix::Scene::IDynamicsWorld::TEST_RESULT 構造体のアドレス

Returns
  シェイプと交差するオブジェクトがあった場合は True を返します

The documentation for this class was generated from the following file:

- Mix/Scene/IDynamicsWorld.h